`constructPoset` <-
function(H, D, eps=1){
## construct poset
	nam <- colnames(H)
	N_H <- nrow(H)
	p <- ncol(H)
	aux <- avgPheno(D)
	u <- aux$u
	y <- aux$ybar
	N <- sum(u)

	viol <- matrix(0, nrow=p, ncol=p) # number of violators
	for (i in 1:p){
		for (j in 1:p){
		# count observations with (0,1) at positions (i,j):
			viol[i,j] <- sum((H[,i] < H[,j]) %*% u) 
		}
		viol[i,i] <- Inf
	}

	N_poset <- length(eps)
	poset <- vector(mode="list", N_poset)

	for (k in 1:N_poset){
  	viol2 <- viol
		poset[[k]] = matrix(0, nrow=p, ncol=p) # i < j  iff  poset(i,j) == 1
    # add relations
		for (j in 1:p^2){
		# Try to add weakest violators first (greedy)
			m1 <- min(viol2)
			idx <- which.min(viol2)
			if (viol2[idx] < N*eps[k]){
				poset[[k]][idx] <- 1
				# Relation remains only if new graph still acyclic
				poset[[k]][idx] <- as.numeric(isAcyclic(poset[[k]]))
			}
			viol2[idx] <- Inf # remove relation from candidate set
		}
    poset[[k]] <- transitiveClosure(poset[[k]])
		colnames(poset[[k]]) <- rownames(poset[[k]]) <- nam
	}
	return(list(poset=poset, viol=viol))
}

