convert2ConstraintMatrix <- function(G, H, coverRelOnly=TRUE){
	## Possible genotype patterns
	HG <- H[as.logical(G),]
	## Number of genotypes in the lattice
	NG <- nrow(HG)
	## Number of events
	p <- ncol(HG)
	relationList <- list()
	#  i<j in G  iff  adj(i,j) == 1
	for (i in 1:NG){
		for (j in i:NG){ # lower triangular is zero
			if (i < j){
        if (coverRelOnly){
				  if ((sum(HG[i,] == HG[j,]) == (p-1)) & (sum(HG[i,]<HG[j,])==1)  ){
				  ## All equal except once i < j -> cover relation
		        relationList <- c(relationList, i, j)
		      } 
				} else {
				  if (sum(HG[i,] <= HG[j,]) == p){
				  ## All i <= j -> i is part of j but not necessary cover relation
				    relationList <- c(relationList, i, j)
		      }
				}
			}
		}
	}
	relMatrix <- matrix(unlist(relationList), ncol=2, byrow=TRUE)
	return(relMatrix)
}
