cvIcbn <-function(fitCbn, X, Y, K, P, epsStop=0.1, maxIter=100){
	## Cross validation looper for the CBN
	nr <- nrow(X)
	K <- as.integer(K)
	stopifnot(1 <= K, K <= nr)
	perm <- sample(nr)
	blockLength <- nr %/% K
	ii <- 1:((K-1) * blockLength)
	blocks <- matrix(perm[ii], blockLength, K-1)
	lastBlock <- perm[-ii]
	cvBlocks <- apply(blocks, 2, fitCbn, X, Y, P, epsStop=epsStop, maxIter=maxIter)
	cvLastBlock  <- fitCbn(lastBlock, X, Y, P, epsStop=epsStop, maxIter=maxIter)
	mseAllLr <- c(unlist(cvBlocks)[names(unlist(cvBlocks))=="mseLr"], unlist(cvLastBlock)["mseLr"])
	mseAllIcbn <- c(unlist(cvBlocks)[names(unlist(cvBlocks))=="mseIcbn"], unlist(cvLastBlock)["mseIcbn"])
	corAllLr <- c(unlist(cvBlocks)[names(unlist(cvBlocks))=="corLr"], unlist(cvLastBlock)["corLr"])
	corAllIcbn <- c(unlist(cvBlocks)[names(unlist(cvBlocks))=="corIcbn"], unlist(cvLastBlock)["corIcbn"])
	mseLr <- mean(mseAllLr)
	mseIcbn <- mean(mseAllIcbn)
	corLr <- mean(corAllLr)
	corIcbn <- mean(corAllIcbn)  
	seMseLr <- sd(mseAllLr)/sqrt(K)
	seMseIcbn <- sd(mseAllIcbn)/sqrt(K)
	seCorLr <- sd(corAllLr)/sqrt(K)
	seCorIcbn <- sd(corAllIcbn)/sqrt(K)
	return(list(mseLr=mseLr, mseIcbn=mseIcbn, corLr=corLr, corIcbn=corIcbn,
							seMseLr=seMseLr, seMseIcbn=seMseIcbn, seCorLr=seCorLr, seCorIcbn=seCorIcbn,
							mseAllLr=mseAllLr, mseAllIcbn=mseAllIcbn, corAllLr=corAllLr, corAllIcbn=corAllIcbn))
}

