doEm <- function(X, Y, params, eps=0.1, maxIter=100, logging=TRUE){
	if (logging){cat("EM, maxIter: ", maxIter, ", eps: ", eps, "\n") }
	n <- 0
	repeat {
	## E-Step
		PZ									<- probCbn(params$G, params$H, params$thetas)
		PX_Z								<- probErr(params$epsilon, params$distMat, ncol(X))
		PY_Z								<- probIso(Y, params$mus, params$sigma2)
		PXYZ								<- t(t(PX_Z*PY_Z)*PZ)
		params$lObs					<- lObs	 <- sum(log(rowSums(PXYZ)))
		
	## Check stop criterion
		if (n != 0){
			llDiff  <- lObs-llOld
		} else {
			llDiff  <- 9999
		}
		if (logging) {cat("lObs:", lObs, "llDiff:", llDiff, "\n")}
		if (llDiff < 0){
			cat("###############################################################################\n")
			cat("Likelihood increased! Using last parameters!!!                                 \n")
			cat("###############################################################################\n")
		}
		if (llDiff <= eps){
			break
		}
	## M-Step
		llOld    					<- lObs
		params$respMat		<- PXYZ/rowSums(PXYZ)
		params$thetas     <- estimateThetas(params$P, params$G, params$H, params$respMat)
		params$epsilon    <- estimateEpsilon(X, params$G, params$H, params$respMat)
		params$mus        <- estimateMu(Y, params$G, params$H, params$respMat, maxIter=maxIter)
		params$sigma2     <- estimateSigma(Y, params$mus, params$respMat)
		n <- n+1
	}
	return(params)
}
