estimateEpsilon <- function(X, G, H, respMat){
	## Number of observations
	N <- nrow(X)
	## Possible genotypes in the lattice
	HG <- H[as.logical(G),]
	## Number of genotypes in the lattice
	NG <- nrow(HG)
	p <- ncol(H)
	## Convert X to a list
	x <- list()
	for (i in 1:N){
		x[[i]] <- X[i,]
	}
	## Convert possible genotypes (Z) to a list
	z <- list()
	for (g in 1:NG){
		z[[g]] <- HG[g,]
	}
	## Calculate distances
	distMat <- matrix(0, N, NG)
	for (i in 1:length(x)){
		for (g in 1:length(z)){
			distMat[i,g] <- hammingDistance(x[[i]], z[[g]])
		}
	}
	return(sum(distMat*respMat)/(N*p))
}

