 estimateMu <- function(Y, G, H, respMat, maxIter=100, logging=TRUE){
  ug <- colSums(respMat)
  p <- ncol(H)
	yBar <- (t(Y) %*% respMat)*(1/ug)
	rMat <- convert2ConstraintMatrix(G, H, coverRelOnly=TRUE)
	
	x0 <- unlist(lapply(hyperCubeNames(ncol(H))[as.logical(G)], function(x){ sum(as.integer(unlist(strsplit(x,""))))*
   (range(yBar)[2]-range(yBar)[1])/(p)+range(yBar)[1] }))
	
	fit <- activeSet(rMat, "LS", x0=x0, y=as.vector(yBar), weights=as.vector(ug), maxiter=maxIter, check=TRUE)
	mu <- fit$x 
	if (logging) { cat("Iterations:", fit$niter, "/", maxIter, ", SS:", fit$fval, ", ", sep="" )}
	names(mu) <- hyperCubeNames(ncol(H))[as.logical(G)]
	return(mu)
}

