estimateSS <- function(X, Y, params){
	PZ									<- probCbn(params$G, params$H, params$thetas)
	PX_Z								<- probErr(params$epsilon, params$distMat, ncol(X))
	PY_Z								<- probIso(Y, params$mus, params$sigma2)
	PXYZ								<- t(t(PX_Z*PY_Z)*PZ)
	lObs								<- sum(log(rowSums(PXYZ)))
	PXZ									<- t(t(PX_Z)*PZ)
	PXZ									<- PXZ/rowSums(PXZ)
	yhatIcbn						<- rowSums(t(t(PXZ)*params$mus))
	ssIcbn							<- sum((Y-yhatIcbn)^2)
	yhatConst						<- mean(Y)
	ssConst							<- sum((Y-yhatConst)^2)
	linMod							<- lm(Y~as.matrix(X))
	yhatLr							<- fitted(linMod)
	ssLr								<- sum((Y-yhatLr)^2)
	return(list(ssCONST=ssConst, ssLR=ssLr, ssIcbn=ssIcbn, lObs=lObs, y=Y, yhatConst=yhatConst, yhatLr=yhatLr, yhatIcbn=yhatIcbn))
}
