estimateThetas <- function(P, G, H, respMat){
	# make sure only the cover relations are there
	dimnames(P) <- colnames(respMat) <- rownames(respMat) <- NULL
	P <- transitiveClosure(P)
	ug <- colSums(respMat)
	NE <- ncol(H)
	HG <- H[as.logical(G),]
	NG <- nrow(HG)
	theta <- vector(mode="numeric", NE)
	for (e in 1:NE){
		below <- as.logical(P[,e])
		A <- sum(ug[HG[,e]==1])
		B <- 0
		for (i in 1:NG){
			g <- as.logical(HG[i,])	
			if (sum(below <= g) == NE){
				B <- B + ug[i]
			}
		}
		theta[e] <- (A+1)/(B+2)
	}
	return(theta)
}
