`exitSet` <-
function(G, g){
# Exit = exitset(G, g) returns the
# exit set of g, i.e.,
# Exit == min(g^c) is the set of
# minimal elements of the complement
# of g in the event set w.r.t. to 
# a partial order P with lattice
# of order ideals G = J(P).

	p <- length(g)
	E <- p - (1:p) # index of g  =  1 + sum(pow2(g, E))
	Exit = list()
	for (e in which(!g)){
		g[e] <- 1
		if (G[1 + sum(g*2^E)]==1){  # is compatible
			Exit <- c(Exit, e)
		}
		g[e] <- 0
	}
	return(unlist(Exit))
}

