generateMus <- function(P, minimum, maximum, graded=TRUE, scaled=TRUE){
	p <- ncol(P)
	H <- hyperCube(p)
	G <- orderIdeals(H, P)$G
	mus <- vector("numeric", sum(G))
	names(mus) <- hyperCubeNames(p)[as.logical(G)]
	if (graded){
		rand <- sort(runif((p+1), min=minimum, max=maximum))
		for (i in 1:length(mus)){
			mus[i] <- rand[sum(as.numeric(unlist(strsplit(names(mus[i]), ""))))+1]
		}
	} else {
		rand <- sort(runif(sum(G), min=minimum, max=maximum))
		mus[order(sapply(names(mus), function(x) { sum(as.numeric(unlist(strsplit(x,""))))}))] <- rand
	}
  if (scaled){
  	mus[1] <- minimum
		mus[length(mus)] <- maximum
	}
	return(mus)
}
