guessMus <- function(musOld, G, H){
	HG <- H[as.logical(G),]
	rownames(HG) <-  hyperCubeNames(ncol(H))[as.logical(G)]
	p <- ncol(HG)
	HG <- cbind(rep(NA, nrow(HG)), HG)
	## Fill in matching lattice elements
	for (n in rownames(HG)){
		if (length(which(names(musOld) == n)) > 0){
			HG[which(rownames(HG)==n),1] <- musOld[which(names(musOld) == n)]
		}
	}
	## For missing elements, search up and down the lattice
	## Set the maximum value of the predecessor, minimum value of the successor
	## Mean value if both are found and average of existing mus for unconnected
	for (i in 1:nrow(HG)){
		if (is.na(HG[i,1])){ ## New genotype in the lattice
			g <- HG[i,-1]
			higher <- lower  <- NA
			for (j in 1:nrow(HG)){
				if ((sum(g==HG[j,-1])==(p-1)) & (sum(g<HG[j,-1])==1)){ ## Successor of missing genotype 
					higher <- min(higher, HG[j,1], na.rm=TRUE)
				}
				if ((sum(g==HG[j,-1])==(p-1)) & (sum(g>HG[j,-1])==1)){ ## Predecessor of missing genotype
					lower <- max(lower, HG[j,1], na.rm=TRUE)
				}
			}
			if (is.na(lower) & is.na(higher)){
				HG[i,1] <- mean(musOld)
			} else {
				HG[i,1] <- mean(c(lower, higher), na.rm=TRUE) ## Set either lower, higher or the mean of both
			}
		}	
	}
	return(HG[,1])
}