guessParams <- function(X, Y, P, thetas=NULL, epsilon=NULL, mus=NULL, sigma2=NULL){
	p <- ncol(P)	
	N <- nrow(X)
	H <- hyperCube(p)
	rownames(H) <- hyperCubeNames(p)
	G <- orderIdeals(H, hasse(P))$G
	N_G <- sum(G)
	if (is.null(thetas)){
		thetas <- guessThetas(P, G, H, X, Y)
	}
	if (is.null(epsilon)){
		epsilon <- 0.01
	}
	if (is.null(mus)){
		mm <- hyperCubeNames(p)[as.logical(G)]
		mus <- unlist(lapply(mm, function(x){ sum(as.integer(unlist(strsplit(x,""))))*
	  	           (range(Y)[2]-range(Y)[1])/(p)+range(Y)[1] }))
		names(mus) <- mm
	} else {
		mus <- guessMus(mus, G, H)
	}
	if (is.null(sigma2)){
		sigma2 <- var(Y)	
	}
	respMat <- matrix(0, nr=N, nc=N_G)
	distMat <- computeDistanceMatrix(X, G, H)
	lObs <- -9999
	returnParams <- list(thetas=thetas, epsilon=epsilon, mus=mus, sigma2=sigma2, P=P, G=G, H=H, respMat=respMat, distMat=distMat, lObs=lObs)
	return(returnParams)
}
