`hasse` <-
function(poset){
# Returns the cover relations of a poset
	p <- nrow(poset)
	dimnames(poset) <- NULL
	for (i in 1:p){
		for (j in 1:p){
			if (poset[i,j]==1){
			# check whether there is another path from i to j
				poset[i,j] <- Inf # exclude direct path
				g <- graph(convert2EdgeList(poset)-1, n=p)
 				dist <- shortest.paths(g, v=i-1, mode="out", algo="dijkstra")
				if (is.finite(dist)[j] & (dist > 1)[j]){  # i.e., there is a path
					poset[i,j] <- 0 # remove
				} else {
					poset[i,j] <- 1 # restore
				}
			}
		}
	}
	poset <- apply(poset, 2, function(x) as.numeric(x>0))
	rownames(poset) <- colnames(poset)
	return(poset)
}

