`hyperCube` <-
function(n){
## hypercube(n) returns the 2^n elements of the 
## n-dimensional hypercube in lexicographic order.
## The index of a binary vector x of length n in the
## hypercube H is 
## 1 + sum([2^(n-1) 2^(n-2) ... 2^0] .* x)
## such that
##    H(1 + sum(pow2(x, [n-1 n-2 ... 0])), :) == x
  m <- matrix(2, nrow=1, ncol=n)
  H <- mixedRadixGeneration(n, m)
  return(H)
}

