`mixedRadixGeneration` <-
function(d, m){
##       Algorithm M, Knuth 7.2.1.1, page 2
##       Generate all n-tuples (a_1, ..., a_n) with
##       0 <= a_j < m_j  for all  j = 1, ..., d
##       in lexicographic order.
##       Example: mixed_radix_generation(3, [2 2 2])
##                generates the 3-cube
	N <- prod(m)
	T <- matrix(0, N, d)
	a <- matrix(0, 1, d+1)
	m <- cbind(2, m)
	for (i in 1:N){
		T[i,] = a[2:(d+1)]
		j <- d
		while (a[j+1] == m[j+1]-1){
		 	a[j+1] <- 0
			j <- j - 1
		}
	a[j+1] = a[j+1] + 1
	}
	return(T)
}

