`orderIdeals` <-
function(H, poset){
## order ideals of a poset

	N_H <- nrow(H)
	p <- ncol(H)
	G <- matrix(1, nrow=N_H, ncol=1)
	for (j1 in 1:p){
  	for (j2 in 1:p){
    	if (poset[j1,j2]){
      	G <- as.numeric(G & (H[,j1] >= H[,j2]))
       	## stay in G only if j1 before j2, i.e., j1 >= j2
			}	
    }
	}
	Gadj = matrix(0, nrow=N_H, ncol=N_H)  # adjacency matrix (cover relations) of lattice
## Gadj(i1,i2) == 1  iff  {i2 \ i1} == {e} and pa(e) \subset i1
## indices refer to the ambient hypercube, H
	for (i1 in 1:N_H){
		for (i2 in 1:N_H){
			if (G[i1] & G[i2]){ # both in lattice
				if (sum(H[i1,] != H[i2,]) == 1){ # one event difference
					if (sum(H[i2,] - H[i1,]) == 1){  # i1 < i2
						Gadj[i1,i2] = 1
					}
				}
			}
		}
	}
	return(list(G=G, Gadj=Gadj))
}

