plotIsotonic <- function(mus, G, H, eventNames, ug=NULL, layout=NULL, colorDataQuant=FALSE, noMus=FALSE, ...){
  resMat <- convert2ConstraintMatrix(G, H)
  poset <- hasse(convertRest2Poset(resMat, sum(G)))
  if (colorDataQuant){
  	breaks <- quantile(mus, probs=seq(0,1,0.01))
  } else {
 		breaks <- quantile(c(-1, 3), probs=seq(0,1,0.01))
  }
  breaks <- unique(breaks)
  breaks[1] <- -Inf
  breaks[length(breaks)] <- Inf
 	colorIdx <- cut(mus, breaks=breaks, labels=FALSE, include.lowest=TRUE)
  myColors <- rainbow(110)[100:1]
	vColor <- myColors[colorIdx]
	if (is.null(ug)){
		if (noMus) {
			vNames <- paste(hyperCubeNames(ncol(H))[as.logical(G)])
		} else {
			vNames <- paste(hyperCubeNames(ncol(H))[as.logical(G)], "\n", round(mus,2), sep="")
		}
	} else {
		if (noMus){
			vNames <- paste(hyperCubeNames(ncol(H))[as.logical(G)])
		} else {
			vNames <- paste(hyperCubeNames(ncol(H))[as.logical(G)], "\n", ug, ", ", round(mus,2), sep="")
		}
	}
	plotPoset(poset, vertexLabels=vNames, vertex.color=vColor, main=paste(eventNames, collapse=", "), layout=layout, ... )
}	
