plotPoset <- function(poset, vertexLabels=NULL, hasse=TRUE, layout=NULL, ...){
  p <- nrow(poset)
  dimnames(poset) <- NULL
	if (hasse){ poset <- hasse(poset)}
	## adjust the numbering of the nodes to start from zero
  edgeList <- convert2EdgeList(poset)-1
  g <- graph(edgeList, n=p)
  if (is.null(layout)){ 
  	l=layout.circle 
  } else {
  	if (layout=="kamada"){
  		l=layout.kamada.kawai
  	} else {
  		if (layout=="lgl"){
				l=layout.lgl
  		} else {
				if (layout=="reingold"){
					l=layout.reingold.tilford
				}
  		}
  	}
  }
  
  plot.igraph(g, vertex.label=vertexLabels, layout=l, ...)
}
