predictPheno <- function(xNew, yNew, parIcbn, parLr){
	PZ									<- probCbn(parIcbn$G, parIcbn$H, parIcbn$thetas)
	distMatNew 					<- computeDistanceMatrix(xNew, parIcbn$G, parIcbn$H)
	PX_Z								<- probErr(parIcbn$epsilon, distMatNew, ncol(xNew))
	PXZ									<- t(t(PX_Z)*PZ)
	## PZ|X = PXZ / PX = PXZ / sum_Z(PXZ)
	PZ_X								<- PXZ/rowSums(PXZ)
	yhatIcbn						<- rowSums(t(t(PZ_X)*parIcbn$mus))
	mseIcbn							<- sum((yNew-yhatIcbn)^2)/length(yNew)
	yhatLr 							<- as.matrix(cbind(1,xNew))%*%parLr
	mseLr								<- sum((yNew-yhatLr)^2)/length(yNew)
	corLr 							<- cor(yNew, yhatLr)
	corIcbn						<- cor(yNew, yhatIcbn)
	PY_Z								<- probIso(yNew, parIcbn$mus, parIcbn$sigma2)
	PXYZ								<- t(t(PX_Z*PY_Z)*PZ)
	lObs								<- sum(log(rowSums(PXYZ)))
	return(list(mseLr=mseLr, mseIcbn=mseIcbn, corLr=corLr, corIcbn=corIcbn, lObs=lObs, y=yNew, yhatLr=yhatLr, yhatIcbn=yhatIcbn))
}
