\name{avgPheno}
\alias{avgPheno}
\title{
Averages the phenotypes within the genotype lattice. 
}
\description{
Takes the average over all phenotypes found for a given genotype.
}
\usage{
avgPheno(D)
}
\arguments{
  \item{D}{
Data D mapped to the hypercube.
}
}
\value{
  \item{u }{The count of phenotypes within the genotype. }
  \item{ybar }{The mean across all phenotypes within the genotype. }
}
\author{
Patrick Knupfer
}
\examples{
	Y <- zdv[,1]
	X <- zdv[,-1]
	D <- map2HyperCube(X, Y)
	aux <- avgPheno(D)
	str(aux)
}
\keyword{ utilities }
