\name{checkCompatibility}
\alias{checkCompatibility}
\title{
Checks the compatibility of a poset with given data.
}
\description{
Returns the fraction of the data records which are 
compatible with the poset.
}
\usage{
checkCompatibility(X, P)
}
\arguments{
  \item{X}{
The observed data as data frame or matrix.
}
  \item{P}{
The poset to be checked as a matrix.
}
}
\details{
Creates an index in the hypercube based on the data.
Next the order ideals for the hypercube are determined
and the quotient of the sum(in_model)/sum(all_records)
is returned.
}
\value{
Numeric value containing the fraction of data explained by the poset.
}
\author{
Patrick Knupfer
}
\examples{
	P <- testPoset
	P[1,2] <- 1
	checkCompatibility(testData[,-1], hasse(P))
}
\keyword{ utilities }
