\name{comparePosets}
\alias{comparePosets}
\title{
Compares to posets.
}
\description{
Return the values of true relations NP, the FPR and FNR.
}
\usage{
comparePosets(pTrue, pTest)
}
\arguments{
  \item{pTrue}{
The poset considered correct.
}
  \item{pTest}{
The poset to be compared to the correct one.
}
}
\details{
The number of relations NP is the number of relations of the transitive closure of the true poset.
The FPR is the number of relations in the test poset not in the true poset divided by (n*(n-1)/2).
The FNR is the number of relations in the true poset not in the test poset divided by NP.
The FNR of an empty poset is set to zero.
}
\value{
  \item{NP }{True number relations.}
  \item{FPR }{False positive rate.}
  \item{FNR }{False negative rate.}
}
\author{
Patrick Knupfer.
}
\examples{
	P1 <- testPoset
	P2 <- matrix(round(runif(16), 0), nc=4)
	comparePosets(P1, P2) 
}
\keyword{ utilities}

