\name{computeDistanceMatrix}
\alias{computeDistanceMatrix}
\title{
Computes the complete hamming distance matrix between all observations and the hypercube.
}
\description{
Precomputes all distances between observations and the hypercube for furter use.
}
\usage{
computeDistanceMatrix(X, G, H)
}
\arguments{
  \item{X}{
The observed data.
}
  \item{G}{
Index of the genotypes in the lattice within the hypercube.
}
  \item{H}{
The hypercube.
}
}
\details{
In order to speed up things, the distance matrix is calculated only once.
The likelihood of the error term is then computed with this matrix as input.
}
\value{
A matrix of dimensions N x NH with N being the number of oberservations and
NH the number of possible patterns (2^events).
}
\author{
Patrick Knupfer
}
\seealso{
\code{\link{probErr}}
}
\examples{
	X <- testData[,-1]
	H <- hyperCube(ncol(testPoset))
	G <- orderIdeals(H, hasse(testPoset))$G
	computeDistanceMatrix(X, G, H)
}
\keyword{ utilities }
