\name{constructPoset}
\alias{constructPoset}
\title{ construct a poset }
\description{
Constructs a poset, given the data, epsilon and the hypercube. 
}
\usage{
constructPoset(H, D, eps = 1)
}
\arguments{
  \item{H}{ Hypercube, all combinations of the p events as a matrix. }
  \item{D}{ Data, the observed events mapped to the hypercube. }
  \item{eps}{ Epsilon, the maximal allowd violations is the number of observations times epsilon. }
}
\value{
  \item{poset }{The poset}
  \item{viol }{The violations}
}
\author{ Patrick Knupfer }
\note{ Ported MATLAB code from Niko Beerenwinkel to R. 
}
\examples{
	Y <- zdv[,1]
	X <- zdv[,-1]
	p <- ncol(X)
	H <- hyperCube(p)
	colnames(H) <- names(X)
	D <- map2HyperCube(X, Y)
	eps <- 0.1
	(P <- constructPoset(H, D, eps)$poset)
}
\keyword{ utilities }
