\name{convert2ConstraintMatrix}
\alias{convert2ConstraintMatrix}
\title{
  Creates the constraints matrix given the hypercube.
}
\description{
Creates the matrix with the constraints as input to the isotonic regression.
}
\usage{
convert2ConstraintMatrix(G, H, coverRelOnly=TRUE)
}
\arguments{
  \item{G}{
The index of the order ideals given a poset.
}
  \item{H}{
The hypercube for the given number of events.
}
  \item{coverRelOnly}{
Flag if all relations or cover relations should be returned. Defaults to cover relations only.  
}
}
\value{
Returns a matrix with the relations in the form i < j.
}
\author{
Patrick Knupfer
}
\examples{
	H <- hyperCube(nrow(testPoset))
	G <- orderIdeals(H, testPoset)$G
	convert2ConstraintMatrix(G, H)
}
\keyword{ utilities }
