\name{convert2EdgeList}
\alias{convert2EdgeList}
\title{
Converts adjacency matrix to an edge list.
}
\description{
Converts an adjacency matrix to an edge list.
Needed to create a graph in igraph.
An edge list looks like this 0 1 2 3 for
0 -> 1, 2 -> 3
}
\usage{
convert2EdgeList(poset)
}
\arguments{
  \item{poset}{
A poset is a quadratic matrix with 0 and 1. 
A 1 at position (33,99) means 33 comes before 99.
}
}
\value{
Returns a vector with the edges. All vertix numbers have 1
subtracted as the numbering in igraph starts with zero.
}
\author{
Patrick Knupfer
}
\examples{
	## Edges connected as 1->2, 2->3
	(P <- testPoset)
	(edgeList <- convert2EdgeList(P))
	colnames(P) <- rownames(P) <- letters[1:ncol(P)]
	P
	(edgeList <- convert2EdgeList(P)) 
}
\keyword{ utilities }
