\name{doEm}
\alias{doEm}
\title{
EM algorithm
}
\description{
Finds the maximum likelihood parameters theta, mu, sigma and epsilon and the responsibilities.
}
\usage{
doEm(X, Y, params, eps = 0.1, maxIter=100, logging=TRUE)
}
\arguments{
  \item{X}{
The observed genotypes.
}
  \item{Y}{
The observed phenotypes, continuous numerical values.
}
  \item{params}{
A list containing the parameters theta, epsilon, mu, theta, P, G and H.
}
  \item{eps}{
Minimal difference in log likelihood before convergence.
}
  \item{maxIter}{
Maximum number of iterations in the isotonic regression estimation.  
}
  \item{logging}{
Flag to turn on messages to the console.
}
}
\details{
Starting with guessed/estimated parameters performs an EM algorithm and
returns the improved parameter estimates, the likelihood and the responsibilities.
}
\value{
A list with the following components:
  \item{params }{A list containing the parameters after the last iteration.}
}
\author{
Patrick Knupfer
}
\examples{
	P <- testPoset
	Y <- testData[,1]
	X <- testData[,-1]
	params <- guessParams(X, Y, P, thetas=NULL, epsilon=NULL, mus=NULL, sigma2=NULL)
	set.seed(42)
	params <- doEm(X, Y, params, eps = 0.5, maxIter=50, logging=TRUE)
}
\keyword{ utilities }
