\name{estimateEpsilon}
\alias{estimateEpsilon}
\title{ Estimates the error coefficient. }
\description{
Estimation of the error coefficient given the responsibility matrix.
The row names have to encode the observed genotype, the colum names
the genotypes in the lattice.
}
\usage{
estimateEpsilon(X, G, H, respMat)
}
\arguments{
  \item{X}{The observed data.}
  \item{G}{The index of genotypes in the lattice.}
  \item{H}{The full hypercube.}
  \item{respMat}{ N * n matrix with the responsibilities }
}
\value{
  The estimate of epsilon, the error coefficient.
}
\author{ Patrick Knufer }
\examples{
  set.seed(42)
	P <- testPoset
	Y <- testData[,1]
	X <- testData[,-1]
	H <- hyperCube(nrow(P))
	G <- orderIdeals(H, P)$G
	params <- guessParams(X, Y, P, thetas=NULL, epsilon=NULL, mus=NULL, sigma2=NULL)
	respMat <- doEm(X, Y, params, eps = 0.5, maxIter=50, logging=FALSE)$respMat
	(eps <- estimateEpsilon(X, G, H, respMat))
}
\keyword{ utilities }

