\name{estimateSigma}
\alias{estimateSigma}
\title{ Estimates the variance of the isotonic regression. }
\description{
Estimation of the variance from the isotonic regression.
}
\usage{
estimateSigma(Y, mus, respMat)
}
\arguments{
  \item{Y}{ The measured numeric values of the phenotype. }
  \item{mus}{ The estimated mean values of the phenotypes by genotype in the lattice. }
  \item{respMat}{ The N times n matrix with the responsibilites calculated in the E step. }
}
\details{
The number of values in the vector mus depends on the genotypes in the lattice.
}
\value{
  A single number containing (sigma_hat)^2.
}
\author{ Patrick Knupfer }
\examples{
	P <- testPoset
  Y <- testData[,1]
  H <- hyperCube(ncol(P))
  G <- orderIdeals(H, P)$G
  mus <- estimateMu(Y, G, H, testResponsibilities)
  estimateSigma(Y, mus, testResponsibilities)
}
\keyword{ utilities }

