\name{estimateThetas}
\alias{estimateThetas}
\title{ Estimates the conditional probabilities of a CBN, given the cover relations and the counts per genotype. }
\description{
Estimates the conditional probabilities in a CBN, given the hasse poset and the genotype counts.
}
\usage{
estimateThetas(P, G, H, respMat)
}
\arguments{
  \item{P}{ Quadratic matrix containing the cover relations. }
  \item{G}{ Index vector of reachable genotypes in the hypercube. }
  \item{H}{ Hypercube with all possible genotypes. }
  \item{respMat}{ The responsibility matrix used to get the expected counts. }
}
\value{
  Returns a vector containing the thetas.
}
\author{ Patrick Knupfer }
\examples{
	P <- testPoset
  H <- hyperCube(ncol(P))
  G <- orderIdeals(H, P)$G
  estimateThetas(P, G, H, testResponsibilities)
}
\keyword{ utilities }

