\name{exitSet}
\alias{exitSet}
\title{ Extracts the exit sets for a given genotype.}
\description{
Exit = exitSet(G, g) returns the
exit set of g, i.e.,
Exit == min(g^c) is the set of
minimal elements of the complement
of g in the event set w.r.t. to 
a partial order P with lattice
of order ideals G = J(P).
}
\usage{
exitSet(G, g)
}
\arguments{
  \item{G}{ The order ideals G = J(P) with P being the partial order. }
  \item{g}{ The genotype considered. }
}
\value{
The exit sets as a list.
}
\author{ Patrick Knupfer }
\note{ Ported MATLAB code from Niko Beerenwinkel to R. 
}
\examples{
	P <- testPoset
  H <- hyperCube(ncol(P))
  G <- orderIdeals(H, P)$G
  g <- c(0, 0, 0)
  exitSet(G, g)
}
\keyword{ utilities }
