\name{generateMus}
\alias{generateMus}
\title{
Generates random mu values for the isotonic regression.
}
\description{
The generated random values are assigned to the genotypes in the lattice
by increasing number of mutations.
}
\usage{
generateMus(P, minimum, maximum, graded=TRUE, scaled=TRUE)
}
\arguments{
  \item{P}{
The poset as a matrix.
}
  \item{minimum}{
Minimum value of the mus to be generated.
}
  \item{maximum}{
Maximal value of the mus to be generated.
}
  \item{graded}{
Should the mus be the same for the same number of mutations.
}
  \item{scaled}{
Should the generated mu values be scaled.
}
}
\details{
A number of random uniform values is generated corresponding
to the number of genotypes in the lattice and sorted.
Then the values are assigned to the genotypes sorted by the number of mutations.
If option graded is true, the same random value will be assigned to all
genotypes with the same number of mutations.
If option scaled is true, the wild type and fully mutated genotypes are set
to the -1 and 3 respectively.
}
\value{
A numeric vector containing the randomly generated mu values.
}
\author{
Patrick Knupfer
}
\examples{
  P <- testPoset
  generateMus(P, -2, 2)
}
\keyword{ utilities }
