\name{generateThetas}
\alias{generateThetas}
\title{
Generates uniformly distributed values of theta.
}
\description{
Generates the required number of thetas in the specified range.
}
\usage{
generateThetas(p, minimum = 0.5, maximum = 0.9)
}
\arguments{
  \item{p}{
Number of theta values to be generated.
}
  \item{minimum}{
Minimum value of theta.
}
  \item{maximum}{
Maximum value of theta.
}
}
\details{
Simply draws uniform random values from the specified interval.
Can be modified to draw thetas in a more elaborate way.
}
\value{
Numeric vector containing the thetas.
}
\author{
Patrick Knupfer
}
\examples{
	generateThetas(5)
}
\keyword{ utilities }
