\name{getGenotypeIdx}
\alias{getGenotypeIdx}
\title{
Given a genotype extracts the index in a lexically ordered hypercube.
}
\description{
Returns the index of a genotype in the hypercube.
}
\usage{
getGenotypeIdx(Z)
}
\arguments{
  \item{Z}{Matrix containing the genotypes.}
}
\value{
Returns a numerical vector containing the indices.
}
\author{
Patrick Knupfer
}
\examples{
	Z <- matrix(c(0,0,0,0,1,0,1,1,0,1,1,1), nc=3, byrow=TRUE)
	hyperCubeNames(ncol(Z))
	getGenotypeIdx(Z)
	hyperCubeNames(ncol(Z))[getGenotypeIdx(Z)]
}
\keyword{ utilities }

