\name{guessParams}
\alias{guessParams}
\title{
Sets initial guesses for the parameters to be estimated.
}
\description{
Sets initial values for the parameters to be estimated.
}
\usage{
guessParams(X, Y, P, thetas=NULL, epsilon=NULL, mus=NULL, sigma2=NULL)
}
\arguments{
  \item{X}{
The observed genotypes.
}
  \item{Y}{
The observed pheonotypes.
}
  \item{P}{
The current poset.
}
  \item{thetas}{
The values of the thetas to be assumed.
}
  \item{epsilon}{
The error rate to be assumed.
}
  \item{mus}{
The phenotype values in the isotonic regression setup.
}
  \item{sigma2}{
The variance term of the isotonic regression.
}
}
\details{
Simply sets the supplied values. If a value is NULL, defaults are used.
The vector mu is modelled as a function of the number of mutations.
Sigma2 is set to the overall variance of Y.
}
\value{
A list with the initial parameter values.
\item{thetas }{Initial thetas.}
\item{epsilon }{Initial epsilon.}
\item{mus }{Initial mus.}
\item{sigma2 }{Initial sigma2.}
\item{P }{The poset P.}
\item{G }{The index of the order ideals in the hypercube.}
\item{H }{The hypercube.}
\item{respMat }{The responsibility matrix.}
\item{distMat}{The distance matrix.}
\item{lObs}{The observed log likelihood.}
}
\author{
Patrick Knupfer
}
\examples{
	P <- testPoset
	Y <- testData[,1]
	X <- testData[,-1]
	(params <- guessParams(X, Y, P, thetas=NULL, epsilon=NULL, mus=NULL, sigma2=NULL))
	str(params)
}
\keyword{ utilities }
