\name{guessThetas}
\alias{guessThetas}
\title{
Guessing the theta parameters without responsibilities.
}
\description{
Estimate the theta parameters of a CBN without responsibilities.
}
\usage{
guessThetas(P, G, H, X, Y)
}
\arguments{
  \item{P}{
The poset.
}
  \item{G}{
Index of the genotypes in the lattice relative to the hypercube.
}
  \item{H}{
The hypercube.
}
  \item{X}{
THe observed genotypes.
}
  \item{Y}{
The observed phenotypes.
}
}
\details{
Initial estimate of the thetas in order to obtain good starting values
for the EM algorithm.
}
\value{
A numeric vector with the theta values.
}
\author{
Patrick Knupfer
}
\examples{
	P <- testPoset
	Y <- testData[,1]
	X <- testData[,-1]
	H <- hyperCube(ncol(P))
	G <- orderIdeals(H, P)$G
	guessThetas(P, G, H, X, Y)
}
\keyword{ utilities }
