\name{hyperCube}
\alias{hyperCube}
\title{ Creates a hypercube given the number of events n. }
\description{
hyperCube(n) returns the 2^n elements of the 
n-dimensional hypercube in lexicographic order.

The index of a binary vector x of length n in the
hypercube H is

    1 + sum([2^(n-1) 2^(n-2) ... 2^0] .* x)
 such that
    H(1 + sum(pow2(x, [n-1 n-2 ... 0])), :) == x
}
\usage{
hyperCube(n)
}
\arguments{
  \item{n}{ The number of events. }
}
\details{
  The hypercube is returned in lexicographic order as a matrix.
  It is assumed that the events are binary.
}
\value{
  \item{H }{The matrix H representing the hypercube with n events.}
}
\author{ Patrick Knupfer }
\note{ Ported MATLAB code from Niko Beerenwinkel to R. 
}
\examples{
	hyperCube(3)
}
\keyword{ utilities }

