\name{matrixPower}
\alias{matrixPower}
\title{ Fast algorithm to calculate the power of a matrix }
\description{
Calculates the power of a matrix.
Code taken from Package Biodem.
}
\usage{
matrixPower(X, n)
}
\arguments{
  \item{X}{ A square matrix }
  \item{n}{ The power the matrix should be raised to. }
}
\details{
This function calculates (efficiently!) the n-th power of a matrix. 
}
\value{
  Returns a squared matrix.
}
\author{ Vincente Canto Cassola and Martin Maechler }
\note{ Included in this package to avoid dependency on Biodem package.
}
\examples{
	M <- matrix(c(1,2,3,4), nc=2)
	(M \%*\% M \%*\% M \%*\% M)
	(matrixPower(M, 4))
}
\keyword{ utilities }
