\name{mixedRadixGeneration}
\alias{mixedRadixGeneration}
\title{ Generates n-tuples in lexicographic order. }
\description{
Generate all n-tuples (a_1, ..., a_n) with
0 <= a_j < m_j  for all  j = 1, ..., d
in lexicographic order.
}
\usage{
mixedRadixGeneration(d, m)
}
\arguments{
  \item{d}{ Number of elements in a tuple. }
  \item{m}{ Cardinality of an event as a vector, use [2 2 2] for binary events. }
}
\value{
  Matrix representing the hypercube.
}
\references{ Algorithm M, Knuth 7.2.1.1, page 2 }
\author{ Patrick Knupfer }
\note{ Ported MATLAB code from Niko Beerenwinkel to R. 
}
\examples{
	mixedRadixGeneration(3, c(2, 2, 2))
}
\keyword{ utilities }
