\name{orderIdeals}
\alias{orderIdeals}
\title{ Order ideals of a poset. }
\description{
Extracts the order ideals of a poset given the hypercube.
}
\usage{
orderIdeals(H, poset)
}
\arguments{
  \item{H}{ The hypercube of all posssible events, given as a matrix of 1 and 0 with p columns and 2^p rows.  }
  \item{poset}{ The poset. }
}
\details{
  Returns the order ideals.
}
\value{
  \item{G }{The list of order ideals.}
  \item{Gadj }{The adjacency matrix of order ideals.}
}
\author{ Patrick Knupfer }
\note{ Ported MATLAB code from Niko Beerenwinkel to R. 
}
\examples{
	Y <- zdv[,1]
	X <- zdv[,-1]
	p <- ncol(X)
	H <- hyperCube(p)
	D <- map2HyperCube(X, Y)
	eps <- 0.1
	P <- constructPoset(H, D, eps)$poset
	aux <- orderIdeals(H, P[[1]])
	str(aux)
}
\keyword{ utilities }

