\name{plotPoset}
\alias{plotPoset}
\title{
Plots the hasse diagram of a poset.
}
\description{
Takes a poset as matrix and draws the hasse diagram.
}
\usage{
plotPoset(poset, vertexLabels = NULL, hasse = TRUE, layout=NULL, ...)
}
\arguments{
  \item{poset}{
The poset as a squared matrix.
}
  \item{vertexLabels}{
Optional labels for the vertices. Check the order of the labels.
}
  \item{hasse}{
Switch to draw cover relations only. Defaults to hasse=TRUE.  
}
  \item{layout}{
A string specifying the layout. Possible values are: "kamada", "lgl", "reingold", NULL is interpreted as "circle".  
}
  \item{...}{ Remaining parameters passed to the plot.igraph function.
}
}
\value{
No return value.
}
\author{
Patrick Knupfer
}
\note{
Use posets without colnames and rownames as the
edge list returned cannot be read by graph.
}
\examples{
	(pTrans <- matrix(c(0,1,1,1,0,0,1,1,0,0,0,1,0,0,0,0), nc=4, byrow=TRUE))
	vertexLabels <- paste("Event",1:ncol(pTrans), sep="_") 
	(pHasse <- hasse(pTrans))
	#par(mfrow=c(1,2))
	#plotPoset(pTrans, vertexLabels=vertexLabels, hasse=TRUE)
	#plotPoset(pTrans, vertexLabels=vertexLabels, hasse=FALSE))
}
\keyword{ utilities }

