\name{predictPheno}
\alias{predictPheno}
\title{
Predicts new data based on CBN model, linear regression and mean value.
}
\description{
Used to assess performance of the CBN model.
}
\usage{
predictPheno(xNew, yNew, parIcbn, parLr)
}
\arguments{
  \item{xNew}{
New observed genotypes.
}
  \item{yNew}{
New observed phenotypes.
}
  \item{parIcbn}{
The CBN parameters based on the training data.
}
  \item{parLr}{
Linear model parameters based on training data.  
}
}
\value{
A list containing variaous predictions.
}
\author{
Patrick Knupfer
}
\examples{
	X <- zdv[,-1]
	Y <- zdv[,1]
	P <- hasse(constructPoset(hyperCube(ncol(X)), map2HyperCube(X, Y), eps=0.05)$poset[[1]])
	parIcbn <- guessParams(X, Y, P)
	parIcbn <- doEm(X, Y, parIcbn, eps=1, maxIter=50)
	printParams(parIcbn, "Fitted parameters")
## Predict mus for ICBN and LR
	lrMod <- lm(Y~., data=X)
	parLr		<- lrMod$coef
	prediction <- predictPheno(X, Y, parIcbn, parLr)
	str(prediction)
}
\keyword{ utilities }

