\name{transitiveClosure}
\alias{transitiveClosure}
\title{ Transitive closure of a set of relations. }
\description{
Returns the transitive closure of a set of relations,
i.e., the minimal poset containing the relations
}
\usage{
transitiveClosure(poset)
}
\arguments{
  \item{poset}{ The poset as a matrix. }
}
\details{
Returns the transitive closure of a set of relations.
}
\value{
  \item{poset }{The transitive closure of the poset.}
}
\author{ Patrick Knupfer }
\note{ Ported MATLAB code from Niko Beerenwinkel to R. 
}
\examples{
	(pHasse <- matrix(c(0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0), nc=4, byrow=TRUE))
	vertexLabels <- paste("Event",1:ncol(pHasse), sep="_") 
	(pTrans <- transitiveClosure(pHasse))
	#par(mfrow=c(1,2))
	#plotPoset(pTrans, vertexLabels=vertexLabels, hasse=TRUE)
	#plotPoset(pTrans, vertexLabels=vertexLabels, hasse=FALSE)
}
\keyword{ utilities }
