\name{weightMoves}
\alias{weightMoves}
\title{
Checks the compatibility of the data if the given poset is modified.
}
\description{
Checks the compatibility of the data if the given poset is modified.
The resulting weight matrix is used to favour proposals with a
higher compatibility with the data in the simulated annealing procedure.
}
\usage{
weightMoves(X, P)
}
\arguments{
  \item{X}{
The observed genotypes as a data frame or matrix.
}
  \item{P}{
The poset to be modified as a matrix.
}
}
\details{
The allowed changes to the poset are additions and deletions.
Direction inversion can occur as a sequence of deletion and addition.
If an addition is not a cover relation, it is checked if
there is only one intermediate state which is then removed, e.g.
P1->P2->P3 will lead to P1->P2 and P1->P3.
Changes resulting in a cylic graph and connections on the diagonal
give a weight of zero.
}
\value{
Matrix with the compatibility weights at each position in the poset.
}
\author{
Patrick Knupfer
}
\note{
Code adapted from the h-cbn program written in C by N. Beerenwinkel, M. Gerstung.
}
\examples{
	X <- testData[,-1]
	P <- testPoset
	weightMoves(X, P)
}
\keyword{ utilities }
